directory = "H:/My Drive/NIOZ/Lipids/Experiment/Microscopy/FISH/2023-06-09/"
outdir = "output/"

setBatchMode(true);
list = getFileList(directory);
for (i = 0; i < list.length; i++){
	analyse(directory, outdir, list[i]);
}

while (nImages>0) { 
	          selectImage(nImages); 
	          close(); 
	      } 
setBatchMode(false);

function analyse(input, out, filename){

	run("Bio-Formats Importer", "open=[" + input + filename +"] autoscale color_mode=Composite rois_import=[ROI manager] view=Hyperstack stack_order=XYCZT");
	title = getTitle();
	run("Split Channels");
	
	selectWindow("C2-" + title);
	setAutoThreshold("MaxEntropy dark");
	setOption("BlackBackground", false);
	run("Convert to Mask");
	run("Analyze Particles...", "size=0.1-15 display summarize");
	
	selectWindow("C1-" + title);
	setAutoThreshold("Default dark");
	run("Convert to Mask");
	run("Analyze Particles...", "size=0.1-15 display summarize");
	saveAs("Results", input + out + filename + "_summary.csv");
	close();
	
	
	
	
}
