###### Statistics on Microscopy Data #####

################################################
# 0.1 setting working directory (!adjust wdir accordingly!)
################################################

# setting working directory (!adjust wdir accordingly!)
setwd("H:\\My Drive\\NIOZ\\Lipids\\Experiment\\Microscopy\\FISH\\2023-06-16")


################################################
# 0.2 load packages
################################################

library(readr)
library(ggplot2)
library(multcompView)
library(dplyr)

################################################
# 1. Load In Data
################################################

cell_stats = read.csv('Results_final.csv',header = T)


################################################
# 2. Generate Plots
################################################

cell_size_plot <- ggplot(cell_stats, aes(x=ID, y = Area, fill = Channel)) + geom_violin()+
  geom_boxplot(width=0.05, fill='white') + theme_bw()

cell_size_plot

cell_circ_plot <- ggplot(cell_stats, aes(x=ID, y = Circ., fill = Channel)) + geom_violin()+
  geom_boxplot(width=0.05, fill='white') + theme_bw()

cell_circ_plot

################################################
# 3. Anova Test for Significant Difference
################################################


anova_size <- aov(cell_stats$Area ~ as.factor(cell_stats$ID), data = cell_stats)

summary(anova_size)

anova_shape <- aov(cell_stats$Circ. ~ as.factor(cell_stats$ID), data = cell_stats)

summary(anova_size)

################################################
# 4. Tukey HSD Test Post-Hoc for Signficance Between Groups
################################################


tukey_size <- TukeyHSD(anova_size)
print(tukey_size)

tukey_shape <- TukeyHSD(anova_shape)
print(tukey_shape)

################################################
# 5. Letter Summary for Simplified Representation
################################################

cld_size <- multcompLetters4(anova_size, tukey_size)
print(cld_size)

cld_shape <- multcompLetters4(anova_shape, tukey_shape)
print(cld_shape)